Bug 129281 - kernel 2.6.7-1.494.2.2 hoses ps/2 scroll mouse
kernel 2.6.7-1.494.2.2 hoses ps/2 scroll mouse
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-05 16:02 EDT by William W. Austin
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 16:32:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William W. Austin 2004-08-05 16:02:06 EDT
Description of problem:

After upgrading to the 2.6.7-1.494.2.2 kernel (i686), I discovered
that the behavior of the scroll mouse (ps/2 scroll mouse) is hosed.

Immediately after boot and for the first few minutes of 'normal'
operation (email, xterm window, browser, etc.), the system no longer
recognizes the scroll key on the scroll mouse, treating it as a
'normal' ps/2 3-button mouse.  This is reproducable with 4 different
scroll mice which I have here (one Logitech, one Kensington, 2 brand
unknown).

At no point thereafter does the system suddenly start recognizing the
mouse's scroll wheel (well, for 12 hours, anyway)

Booting with the 2.6.5-1.358 kernel (or any in FC1 or rh9) the problem
does not occur.  I suspect it is a kernel problem, not an x-server
problem, since the problem occurs if and only if I boot
2.6.7-1.494.2.2 and never with 2.6.5-1.358.

The problem occurs using both the included "nv" video driver (just in
case...) or the commercial (non-open-source) 'nvidia' driver.  It also
occurs whether I am connecting directly to the computer though the
PS/2 port or via a kvm switch connected to that port.  It also occurs
on all 4 systems I have running fc2, although this may be meaningless
as the 4 machines are configured essentially identically.

There are *no* mouse-related error messages in any of the system logs,
and the mouse-related messages which are there (2.6.7-1.494.2.2) are
identical with those from booting with the 2.6.5-1.358 kernel.

I do not know whether this problem occurred with any of the update
kernels between the two listed above, as they contained a bug (see
bugzilla # 126391) which prevented my booting these boxes at all.


Version-Release number of selected component (if applicable):
2.6.7-1.494.2.2 (i686)

How reproducible:
This always occurs and if completely reproducable

Steps to Reproduce:

1. Boot computer with attached PS/2 mouse. Boot to run level 3, not 5.
2. Start x-windows (startx)
3. Operate normally, reading email, browsing the web, editing in
xterm, etc. for 5 to 15 minutes.
4. The scroll wheel on the mouse will at some point no longer be
recognized.
  
Actual results:
The scroll wheel on the mouse will at some point no longer be recognized.

Expected results:
The scroll wheel on the mouse should continue to be recognized by the
system.

Additional info:
FWIW, after the 3rd or 4th "scroll wheel failure" I tried compiling
and installing imwheel.  No luck - it does not help the situation.

Hardware:
MB: Gigabyte gz7nnx
Mem: 1Gb 333MHz ddr
Release: fedora 2
kernel: 2.6.7-1.494.2.2
x.org:
Comment 1 Matthew Miller 2005-04-26 11:32:10 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 William W. Austin 2005-08-13 11:38:04 EDT
appears to be fixed in FC3, so no longer an issue for me, anyway...
Comment 3 Peter van Egdom 2005-08-19 16:32:51 EDT
Okay, thanks for reporting back. This bug will be closed.

Note You need to log in before you can comment on or make changes to this bug.